Bug 484207 - python: Modules/gcmodule.c: 242: update_refs: Assertion `gc->gc.gc_refs == (-3)' failed.
python: Modules/gcmodule.c: 242: update_refs: Assertion `gc->gc.gc_refs == (-...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 08:11 EST by Mark McLoughlin
Modified: 2009-10-07 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 21:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-02-05 08:11:49 EST
rawhide-20090205 on a KVM x86_64 guest with 1Gb of RAM, args were "console=ttyS0 vnc method=http://"

Saw this towards the end of the packages being installed, don't know exactly how far it got:

python: Modules/gcmodule.c:242: update_refs: Assertion `gc->gc.gc_refs == (-3)' failed.
install exited abnormally [1/1] 
disabling swap...
	/dev/mapper/vg_test-lv_swap
unmounting filesystems...

Nothing else of interest on the console
Comment 1 Chris Lumens 2009-02-09 16:02:17 EST
Is this at all reproducable?  I'd expect this to happen if the memory management in one of the several python modules we use is screwed up, but unfortunately there's little to go on here.  The fact that it happens towards the end of package installation makes me think it could be rpm-related.  Are there any error messages besides this on tty1 or tty3?  Any segfaults or anything?
Comment 2 Mark McLoughlin 2009-02-09 16:36:46 EST
That's all I got, sorry. Closing for now
Comment 3 G.Wolfe Woodbury 2009-08-24 01:13:32 EDT
Re-opening the bug for rawhide of 20090823.

I've been getting this exact error at several points during the installs.

Early, midway and just before GRUB configuration.

This last one is just after grub writes grub.conf but before finalization.


To confirm:

python: Modules/gcmodule.c: 242: update_refs: Assertion `gc->gc.gc_refs == (-3)' failed.


There are no "interesting" messages other than this on any other vtXX windows.
This is on real i686 hardware (not a VM) with no LVM partitions configured.
smolt info:
http://www.smolts.org/client/show/pub_5b4371f7-d567-4b8a-a2b9-358e41f3f736
Comment 4 Chris Lumens 2009-10-07 21:38:21 EDT
Python does not provide us nearly enough information to make any serious attempt at debugging this issue.  We use dozens of python modules, many of which include a C component, making this extremely difficult to track down.  Likely suspects include rpm and pyparted, though it really could be anything.

Unfortunately I also do not have the expertise needed to track this problem down and haven't reliably seen it, so I'm going to put it into CANTFIX for now.

Note You need to log in before you can comment on or make changes to this bug.